Subject: bug#61302: 29.0.60; rust-ts-mode does not show function-invocation on field-properties

From: Dmitry Gutov <[email-masked]>
Date: Mon, 13 Feb 2023 21:59:22 +0200

On 13/02/2023 12:17, Jostein Kjønigsen wrote:
> it seems to fontify all variables using font-lock-variable-name-face all 
> over, regardless of it is a declaration or not. I realize this is not 
> 100% consistent throughout the Emacs-verse, but I know other -ts-modes 
> have aimed for declaration only, and so does rust-mode from MELPA too 
> (although with some consistency-issues) which this would be replacing.

To be fair, some ts modes add variable highlighting like that, and some 
don't. Those that do, keep it on treesit-font-lock-level=4, meaning it's 
disabled by default, together with the function call and property lookup 
highlighting.